/// @file FocusEventMove.h
#ifndef FOCUSEVENTMOVE_H
#define FOCUSEVENTMOVE_H
#include "ToolKit.h"

/**
	@brief Move FocusEvent

	포커스 이벤트 발생시 지정된 객체를 이동시키는 객체
*/
class FocusEventMove : public FocusEvent {
	public:
		FocusEventMove(){}
		virtual ~FocusEventMove(){}
		virtual void focus(ToolKit* _pToolKit){
			_pToolKit->actorPocket[actor_]->fX = fX_;
			_pToolKit->actorPocket[actor_]->fY = fY_;
		}
		void setFocueEvnet(const int _actor, const float _fX, const float _fY){
			actor_ = _actor;
			fX_ = _fX;
			fY_ = _fY;
		}
	private:
		int actor_;
		float fX_;
		float fY_;
};
#endif